import { AfterViewInit, ChangeDetectorRef, ElementRef, OnInit, Renderer2 } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { Content, Editor } from '@tiptap/core';
import * as i0 from "@angular/core";
export declare class EditorDirective implements OnInit, AfterViewInit, ControlValueAccessor {
    private elRef;
    private renderer;
    private changeDetectorRef;
    editor: Editor;
    outputFormat: 'json' | 'html';
    constructor(elRef: ElementRef<HTMLElement>, renderer: Renderer2, changeDetectorRef: ChangeDetectorRef);
    private onChange;
    private onTouched;
    writeValue(value: Content): void;
    registerOnChange(fn: () => void): void;
    registerOnTouched(fn: () => void): void;
    setDisabledState(isDisabled: boolean): void;
    private handleChange;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<EditorDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<EditorDirective, "tiptap[editor], [tiptap][editor], tiptap-editor[editor], [tiptapEditor][editor]", never, { "editor": "editor"; "outputFormat": "outputFormat"; }, {}, never>;
}
